Subject: Problems with POSTGRES

From: "Manoj K. Jain" <[email-masked]>
Date: Thu, 22 Apr 93 12:37:18 -0700

Here at Indiana University, we are using Postgres in one of the 
database systems class. There are about 15-16 students in the class
and sometimes about 10-12 students use the Postgres system at the
same time. Some of them did their assignment entirely in POSTQUEL, 
but some of them used Portals and Postquel embedded in C.

While POSTGRES ran fine if only POSTQUEL was being used (and about 5-6
people were using Postgres at the same time), it (postmaster) was very
flaky when people were running their C programs (with embedded postquel).
They got the following error at several times (I am including the errors
of just two runs...though people had problems all the time while somebody
was using portals and embedded C (all of them are same kind of errors):

Error 1:
>center:~/c690/task3 .22 %q2
>please enter the student name and course id
>joe 100
>WARN:Apr  5 22:45:27:cannot write block 0 of delta [gwu1] blind
>Error: No response from the backend, exiting...

Error 2:
>Query sent to backend is "remove function check " (my stuff)
>WARN:Apr  9 21:31:40:cannot write block 1 of pg_typeidind [abadia] blind
>>>>>>>>    (hangs at this point)
>>>>>>>>>   (I then restarted it)
>Go
>* \i check1 \g (mystuff)

Another thing is that postmaster hangs after 3 or 4 of these errors occur.
This is because there are several processes hanging in the postgres account.

I should also point out that the database owner of "gwu1" and "abadia" (the
names which appear in the error) were using embedded C.

Any clues as to why this is happening?

Thanks.
-- Manoj